
Redmine - Defect #32939

Rails 6: fix plugin migrations

2020-02-03 02:58 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

fixes

Error:

Redmine::PluginTest#test_migrate_redmine_plugin:

ArgumentError: wrong number of arguments (given 1, expected 2)

    lib/redmine/plugin.rb:542:in `new'

    lib/redmine/plugin.rb:542:in `migrate_plugin'

    lib/redmine/plugin.rb:483:in `migrate'

    lib/redmine/plugin.rb:494:in `migrate'

    test/unit/lib/redmine/plugin_test.rb:206:in `test_migrate_redmine_plugin'

rails test test/unit/lib/redmine/plugin_test.rb:200

Related issues:

Related to Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autol... Closed

Associated revisions

Revision 20888 - 2021-04-01 17:02 - Go MAEDA

Fix "ArgumentError: wrong number of arguments (given 1, expected 2) on Redmine::PluginTest#test_migrate_redmine_plugin" (#29914, #32939).

Patch by Pavel Rosický.

History

#1 - 2020-02-03 23:57 - Marius BĂLTEANU

- Related to Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#2 - 2020-03-09 23:05 - Go MAEDA

- Category set to Rails support

#3 - 2021-03-30 18:32 - Marius BĂLTEANU

- Tracker changed from Patch to Defect

#4 - 2021-04-01 17:03 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch as a part of #29914.

Files

plugin.rb.patch 1.4 KB 2020-02-03 Pavel Rosický
